Kerbal Space Program - Feedback #9914

Duplicate path in ~/.config/unity3d on Linux - case-sensitive filesystem
06/11/2016 08:09 AM - Ruedii

Status: Closed

Severity: Unworthy

Assignee:

Category: Application

Target version:

Version: 1.1.2 Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

Hi,

KSP creates 2 additional directories under Linux in "~/.config/unity3d" :

e Squad/
e SQUAD/

One contains additional configuration files for KSP and the other does the same for the Launcher. The Launcher is in the
all-capitalized one; it would make sense to unify these.

This has been the case since at least 0.90, and verified with 1.0.4 (not an option in your version drop-down).
micha@urutu:~/.config/unity3d$ tree

+-— global.prefs
+-— Player.log

== Seuacl

| \-- Kerbal Space Program
| +-— Player.log

| \-— prefs

+—— SQUAD

\-—- KSPLauncher
+-— Player.log
\-- prefs

So while it might be a semantic nitpick | do consider this to be a (very very minor) bug.

Related issues:
Copied from Kerbal Space Program - Feedback #5273: Duplicate path in ~/.confi... Resolved

History

#1 - 06/11/2016 08:09 AM - Ruedii
- Copied from Feedback #5273: Duplicate path in ~/.config/unity3d on Linux - case-sensitive filesystem added

#2 - 07/17/2016 09:57 AM - TriggerAu
- Status changed from New to Needs Clarification

- translation missing: en.field_votes_percent changed from 100.0 to 0.0

#3 - 07/19/2016 03:55 PM - ____
- Status changed from Needs Clarification to Updated
- % Done changed from 0 to 10

- translation missing: en.field_votes_percent changed from 100.0 to 0.0

#4 - 07/20/2016 12:57 AM - WildLynx

- translation missing: en.field_votes_percent changed from 100.0 to 0.0
Also noticed that, but | was thinking that it was intentional.

#5 - 12/16/2019 08:03 PM - ManeTI
- File Screenshot _20191216_134327.png added
- Status changed from Updated to Moot

Not present anymore in 1.8.1

#6 - 12/16/2019 08:04 PM - ManeTI

- Status changed from Moot to Resolved

#7 - 01/18/2020 02:45 AM - chris.fulton

- Status changed from Resolved to Closed
